function onTalk()
	disableMovement()
	if (getFlag("ready")) then
		setFlag("set_out")
		walkTo(204)
		player.Facing = getEnum("Celeste.Facings", "Left")

		wait(0.5)

		player.DummyAutoAnimate = false
		player.Sprite:Play("duck")

		wait(0.5)

		setFlag("light_up")

		wait(0.5)

		player.DummyAutoAnimate = true

		wait(0.5)

		walkTo(245)
		setFlag("begin_journey")
		playSound("event:/game/04_cliffside/gondola_cliffmechanism_start", vector2(-10, 0))

		wait(0.5)

		setFlag("start_swing")

		wait(3.5)

		setFlag("black_in")

		wait(1.5)
	else
		say("CC_Adam_Korinek_furnace")
	end
end

function onEnd(room, wasSkipped)
	setFlag("black_in", false)                                                                                          
	enableMovement()
	if (getFlag("set_out")) then
		if not wasSkipped then
			setFlag("black_out")
		end
		player.Facing = getEnum("Celeste.Facings", "Right")
		teleportTo(800,0,"River")
	end
end